ARCRESUME(1)

NAME
arcresume - ARC Resume

DESCRIPTION

  Usage:

    arcresume [OPTION...] [job ...]

  Brokering and filtering:

-C, --computing-element=ce
    only select jobs that were submitted to this computing element

-s, --status=statusstr
    only select jobs whose status is statusstr

-a, --all
    all jobs

-r, --rejectmanagement=URL
    skip jobs that are on a computing element with a given URL

  Behaviour tuning:

-i, --jobids-from-file=filename
    a file containing a list of jobIDs

-j, --joblist=filename
    the file storing information about active jobs (default /build/nordugrid-arc-IpGkF7/nordugrid-arc-7.1.2/debian/.debhelper/generated/_source/home/.arc/jobs.dat)

--no-authentication
    do not perform any authentication for opened connections

--x509-authentication
    perform X.509 authentication for opened connections

--token-authentication
    perform token authentication for opened connections

--systemca
    force using CA certificates configuration provided by OpenSSL

--gridca
    force using CA certificates configuration for Grid services (typically IGTF)

--anyca
    force using CA certificates configuration for Grid services (typically IGTF) and one provided by OpenSSL

  Other actions:

-P, --listplugins
    list the available plugins

  Application Options:

-h, --help
    Show help options

-z, --conffile=filename
    configuration file (default ~/.arc/client.conf)

-t, --timeout=seconds
    timeout in seconds (default 20)

-d, --debug=debuglevel
    FATAL, ERROR, WARNING, INFO, VERBOSE or DEBUG

-v, --version
    print version information

EXTENDED DESCRIPTION
The arcresume command resumes a job submitted an ARC CE. The job can be referred to either by the jobid that was returned by arcsub(1) at submission time or by its jobname if the job description that was submitted contained a jobname attribute.

More than one jobid and/or jobname can be given. If several jobs were submitted with the same jobname all those jobs are resumed. If the --joblist option is used the list of jobs is read from a file with the specified filename. By specifying the --all option, all active jobs will be resumed.

The --computing-element option can be used to select or reject jobs at specific clusters. The --status option can be used to select jobs in a specific state. These options can be repeated several times. See arcstat(1) for possible state values.

FILES

~/.arc/client.conf
    Some options can be given default values by specifying them in the ARC client configuration file. By using the --conffile option a different configuration file can be used than the default.

~/.arc/jobs.dat
    This a local database of the user's active jobs. When a job is successfully submitted it is added to database and when it is removed from the remote CE it is removed from this list. This database is used as the list of all active jobs when the user specifies the --all option to the various NorduGrid ARC user interface commands. By using the --joblist option a different file can be used than the default.

AUTHOR
ARC software is developed by the NorduGrid Collaboration (http://www.nordugrid.org), please consult the AUTHORS file distributed with ARC. Please report bugs and feature requests to http://bugzilla.nordugrid.org

COPYRIGHT
APACHE LICENSE Version 2.0

SEE ALSO
arccat(1), arcclean(1), arccp(1), arcget(1), arcinfo(1), arckill(1), arcls(1), arcmkdir(1), arcproxy(1), arcrenew(1), arcrm(1), arcstat(1), arcsub(1), arcsync(1), arctest(1)